package com.ruoyi.projectChbZyf.service.impl;

import java.math.BigDecimal;
import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.projectChbZyf.mapper.KzksProjectChbZyfMapper;
import com.ruoyi.projectChbZyf.domain.KzksProjectChbZyf;
import com.ruoyi.projectChbZyf.service.IKzksProjectChbZyfService;

/**
 * 专用费Service业务层处理
 * 
 * @author yanxun
 * @date 2023-08-10
 */
@Service
public class KzksProjectChbZyfServiceImpl implements IKzksProjectChbZyfService 
{
    @Autowired
    private KzksProjectChbZyfMapper kzksProjectChbZyfMapper;

    /**
     * 查询专用费
     * 
     * @param id 专用费主键
     * @return 专用费
     */
    @Override
    public KzksProjectChbZyf selectKzksProjectChbZyfById(String id)
    {
        return kzksProjectChbZyfMapper.selectKzksProjectChbZyfById(id);
    }

    /**
     * 查询专用费列表
     * 
     * @param kzksProjectChbZyf 专用费
     * @return 专用费
     */
    @Override
    public List<KzksProjectChbZyf> selectKzksProjectChbZyfList(KzksProjectChbZyf kzksProjectChbZyf)
    {
        return kzksProjectChbZyfMapper.selectKzksProjectChbZyfList(kzksProjectChbZyf);
    }

    /**
     * 新增专用费
     * 
     * @param kzksProjectChbZyf 专用费
     * @return 结果
     */
    @Override
    public int insertKzksProjectChbZyf(KzksProjectChbZyf kzksProjectChbZyf)
    {
        kzksProjectChbZyf.setCreateTime(DateUtils.getNowDate());
        return kzksProjectChbZyfMapper.insertKzksProjectChbZyf(kzksProjectChbZyf);
    }

    /**
     * 修改专用费
     * 
     * @param kzksProjectChbZyf 专用费
     * @return 结果
     */
    @Override
    public int updateKzksProjectChbZyf(KzksProjectChbZyf kzksProjectChbZyf)
    {
        kzksProjectChbZyf.setUpdateTime(DateUtils.getNowDate());
        return kzksProjectChbZyfMapper.updateKzksProjectChbZyf(kzksProjectChbZyf);
    }

    /**
     * 批量删除专用费
     * 
     * @param ids 需要删除的专用费主键
     * @return 结果
     */
    @Override
    public int deleteKzksProjectChbZyfByIds(String[] ids)
    {
        return kzksProjectChbZyfMapper.deleteKzksProjectChbZyfByIds(ids);
    }

    /**
     * 删除专用费信息
     * 
     * @param id 专用费主键
     * @return 结果
     */
    @Override
    public int deleteKzksProjectChbZyfById(String id)
    {
        return kzksProjectChbZyfMapper.deleteKzksProjectChbZyfById(id);
    }

    /**
     * 根据科研任务号获取外协费总和
     *
     * @param taskno 任务号
     * @return 结果
     */
    @Override
    public BigDecimal selectZyfByTaskno(String taskno) {
        return kzksProjectChbZyfMapper.selectZyfByTaskno(taskno);
    }
}
